달력

4

« 2020/4 »

  • 5
  • 6
  • 7
  • 8
  • 9
  • 10
  • 11
  • 12
  • 13
  • 14
  • 15
  • 16
  • 17
  • 18
  • 19
  • 20
  • 21
  • 22
  • 23
  • 24
  • 25
  • 26
  • 27
  • 28
  • 29
  • 30
  •  
  •  



 

 

 

에러 메시지

ERROR: Failed to resolve: com.android.support:appcompat-v7:28.0.0


 

 

 

 

 

해결방법

build.gradle(Project: projectname)

build.gradle(Project: projectname) 에서 allprojects {}안에 google() google repository 추가해 줍니다.

 

allprojects {

    repositories {

        jcenter()

        google()

    }

}

 

 

 

 

 

build.gradle(Module: app)

build.gradle(Module: app)에서 google repository 등록하면 빌드 실행이 정상적으로 수행됩니다.

 

implementation 'com.android.support:appcompat-v7:28.0.0'

implementation 'com.android.support:appcompat-v7:28.0.+'

implementation 'com.android.support:appcompat-v7:28.+'

 

dependencies {

    implementation fileTree(dir: 'libs', include: ['*.jar'])

    androidTestImplementation('com.android.support.test.espresso:espresso-core:2.2.2', {

        exclude group: 'com.android.support', module: 'support-annotations'

    })

    implementation 'com.android.support:appcompat-v7:28.0.0'

    testImplementation 'junit:junit:4.12'

}

 

 




Posted by codedragon codedragon

댓글을 달아 주세요